Bug 804392 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/rdsd_5fhadriel_40hotmail_2ecom at 0x2a2e550>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:792e300dc7546d0c3969eb4e209...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 11:38 EDT by Hugo Cabrera Tinoco
Modified: 2013-02-13 05:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hugo Cabrera Tinoco 2012-03-18 11:38:38 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.9-2.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/rdsd_5fhadriel_40hotmail_2ecom at 0x2a2e550>
time:           dom 18 mar 2012 12:31:55 BRT
uid:            1000
username:       hugo

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/rdsd_5fhadriel_40hotmail_2ecom at 0x2a2e550>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/rdsd_5fhadriel_40hotmail_2ecom at 0x2a2e550>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2a2e110>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/rdsd_5fhadriel_40hotmail_2ecom at 0x2a2e550>

smolt_data:
:
:
:General
:=================================
:UUID: 88616980-2e1a-44e7-a5c7-683f90469d9f
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4584.91
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:Paso del UCP: 7
:Familia de UCP: 6
:Número de Modelo de CPU: 42
:Número de CPUs: 4
:Velocidad del CPU: 2301
:Memoria del Sistema: 3849
:Intercambio (swap) del Sistema: 5887
:Vendedor: Dell Inc.
:Sistema: Dell System Vostro 3450 
:Factor de forma: Portable
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4147:404:65535:65535) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4332:33128:4332:33128) pci, r8169, ETHERNET, TEG-ECTX Gigabit PCI-E Adapter [Trendnet]
:(32902:278:4136:1221) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4136:1221) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4136:1221) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7243:4136:1221) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(32902:7192:4136:1221) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1221) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4136:1221) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1221) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:43:4136:517) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:26433:4136:1221) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(32902:7213:4136:1221) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1221) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1221) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1221) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1221) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hadriel-lv_root / ext4 4096 4096 13092026 11640251 11509229 3276800 3132203 3132203
:/dev/sda3 /boot ext4 1024 1024 508745 410690 385090 128016 127779 127779
:/dev/mapper/vg_hadriel-lv_home /home ext4 4096 4096 46750392 42288195 39947741 11706368 11651072 11651072
:
Comment 1 Fedora End Of Life 2013-01-16 06:12:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:23:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.